<div *ngIf="!flow_child.is_expand" class="row mb-1 mt-3">
    <!-- <div class="col-sm-4 ml-4"></div> -->
    <div class="col-sm-9 pr-0" style="margin-left: 0%;">
        <div class="card border-0 box-shadow-none border-radius-10 bg-transparent"
             style="margin-left: 3.7rem;margin-right: 0.3rem; background-color: transparent;">
            <div (click)="toggle_entity();"
                 class="CardList card-header collapsed-card-border d-flex pr-0 align-items-center card-shadow bg-white  border-radius-10 cursor">
                <div class="card-header-title dashboard-tile-title cursor custom-mouseover" style="font-size: 18px;">
                    <span class="mr-2"><i
                            class="las la-angle-right f-20"></i></span><span
                        class="dashboard-tile-title fw-400">{{flow_child?.view_name}}</span></div>
                <div class="ml-auto btn-group btn-group-xs btn-group-toggle ng-untouched ng-pristine ng-valid mr-2">
                    <div class="ml-1">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-3 pt-4">
        <!-- //right side title for some content  -->
        <p class="f-14"></p>
    </div>
</div>

<div *blockUI="blockUIName;  template: blockTemplate" class="custom-bg-block-ui">
    <div id="flow_container" [hidden]="!flow_child.is_expand"
         class="row mt-3 ml-0 mr-0 flow_container fullscreen_{{is_fullscreen_view}}"
         (scroll)="onScroll($event)"
         style="flex-wrap: unset;min-height:400px;padding-left: 3rem;;overflow-x: auto;overflow-y: hidden;">
        <div class="col-sm-9" style="padding-bottom: 20px;">
            <div class="card card-shadow border-radius-10" style="min-height:487px;" id="driver_analysis1">
                <div class="card-header with-elements pr-0 align-items-center card-bb-color">
                    <div (click)="toggle_entity();"
                         class="card-header-title dashboard-tile-title cursor custom-mouseover">
                        <span class="mr-2">
                            <i class="las la-angle-down f-20"></i>
                        </span>
                        <span class="dashboard-tile-title fw-400">{{flow_child.view_name}}</span>
                        <!-- <span class="ml-2 v-middle"><i  class="las  la-question-circle f-20"></i></span> -->
                    </div>
                    <div class="ml-auto btn-group btn-group-xs btn-group-toggle ng-untouched ng-pristine ng-valid mr-2">
                        <div class="ml-1" *ngIf="!is_fullscreen_view">
                            <button class="btn p-1" [disabled]="flow_child.data.length === 0"
                                    ngbTooltip="View visualization in full screen" placement="bottom" container="body"
                                    (click)="fullScreen('driver_analysis1', 'flow_chart');">
                                <i class="las la-expand f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1" *ngIf="is_fullscreen_view">
                            <button class="btn p-1" [disabled]="flow_child.data.length === 0"
                                    ngbTooltip="Close" placement="bottom" container="body"
                                    (click)="fullScreen('driver_analysis1', 'flow_chart');">
                                <i class="ion-md-close f-20 custom-mouseover"></i></button>
                        </div>
                    </div>
                </div>
                <div class="card-body pb-0 px-0 driver_analysis_chart pt-0">
                    <div class="d-flex dis-flex-column h-100" style="min-height: 400px;">
                        <div id="drive_{{driver_analysis_id}}"
                             [ngClass]="{'overflow-auto': flow_child.object_id === 12, 'height-90vh': (is_fullscreen_view=== true && flow_child.object_id === 12)}"
                             class="h-100">
                            <div id="chart_{{driver_analysis_id}}" class="row mx-0" [ngClass]="{'h-100': flow_child.object_id === 11}">
                                <div *ngIf="flow_child.data.length > 0" class="overflow-unset pt-4 pb-3 pr-2"
                                     [ngClass]="{'col-sm-8': flow_child.object_id === 11,
                                                'col-sm-12 px-0 detail-chart': flow_child.object_id === 12}"
                                     id="{{driver_analysis_id}}" style="min-height: 450px;">
                                </div>
                                <flow-error *ngIf="flow_child.data.length === 0"></flow-error>
                                <div class="col-sm-4 pl-0 my-4"
                                     *ngIf="flow_child.object_id === 11 && flow_child.data.length > 0 && flow_child.drivers.length > 0"
                                     style="border-left: 1px solid #DDD;">
                                    <div class="pt-2 px-4">
                                        <div class="plan-selection">
                                            <div class="plan-data">
                                                <div class="f-16 mb-2 WSF fw-500 text-gray33">Top Drivers</div>
                                                <div class="pt-3" style="max-height: 400px; overflow-y: auto;">
                                                    <div class="row col-sm-12 mb-4"
                                                         *ngFor="let p of flow_child?.percentage_bars">
                                                        <div class="col-md-6 pl-0 f-14 fw-500 WSF text-gray77">{{p.name}}</div>
                                                        <div class="col-sm-6 pr-0">
                                                            <div class="bar-wrap">
                                                                <span class="bar-fill"
                                                                      [ngStyle]="{'width': p.percentage}"
                                                                      style="height: 7px;position: relative;">
                                                                    <span class="f-10 font-weight-normal WSF text-gray55"
                                                                          style="position: absolute;right:0;top: -20px;">{{p.percentage}}
                                                                        %</span>
                                                                </span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- If no drivers found -->
                                <div class="col-sm-4 pl-0 my-4"
                                     *ngIf="flow_child.object_id === 11 && flow_child.data.length > 0 && flow_child.drivers.length === 0"
                                     style="border-left: 1px solid #DDD;font-size: 16px;display: flex;align-items: center;place-content: center;">
                                    <div class="pt-2 px-4">
                                        <div >No drivers found.</div>
                                    </div>
                                </div>
                            </div>


                            <!-- Negative chart -->
                            <div *ngIf="flow_child.object_id === 12 && flow_child.data.length > 0"
                                 class="col-sm-12 px-0 postiveId dis-flex-row dis-dashed-border"
                                 style="padding-bottom: 25px;">
                                <div *ngFor="let p of flow_child.negative_series;index as i">
                                    <div class="driver_borderline_{{i}}"
                                         *ngIf="(flow_child.negative_series.length - 1) > i">
                                        <!-- <div class="special-text__tooltip"></div> -->
                                        <div class="triangle">
                                            <div class="empty"></div>
                                        </div>
                                    </div>
                                    <div class=" set-dynamic-width">
                                        <div id="{{driver_analysis_positive_id + i}}"></div>
                                        <!--<span class="expand_border" id="expand_border_{{i}}"></span>-->
                                    </div>
                                </div>

                                <!-- <div class=" set-dynamic-width" style="border: none !important;">
                                     <div id="{{driver_analysis_positive_id + '4'}}"></div>
                                 </div>-->
                            </div>

                            <div *ngIf="flow_child.object_id === 12 && flow_child.data.length > 0">
                                <div class="show_more-button" *ngIf="flow_child.show_more === false">
                                    <div (click)="show_more();plot_chart3()">
                                        Show More
                                    </div>
                                </div>
                                <div [hidden]="flow_child.show_more !== true"
                                     style="padding-bottom: 25px;padding-top: 25px;"
                                     class="col-sm-12 px-0 postiveId dis-flex-row dis-dashed-border list-chart">
                                    <!-- empty div  Don't remove it-->
                                    <div id="find_width" class="highcharts-label"
                                         style="display: none;font-family: worksans !important;">find_width
                                    </div>
                                    <div *ngFor="let p of flow_child.negative_series;index as i">
                                        <div style="top: 0;min-height: 10px;" class="driver_borderline_chart_{{i}}"
                                             *ngIf="(flow_child.negative_series.length - 1) > i"></div>
                                        <div id="plot_chart3_id" class=" set-dynamic-width plot_chart3"
                                             style="min-height: 100px">
                                            <div id="{{driver_analysis_list_id + i}}"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="show_more-button" *ngIf="flow_child.show_more === true">
                                    <div (click)="show_more()">Show
                                        Less
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="staticGFContainer export-toogle" *ngIf="scrollclass =='row fixed_top_filter'">
                    <span class="text-center toggleBtn" (click)="minMaxGlobalFilter()"><i
                            [class]="gf_hide_show_icon"></i></span>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <app-hint [id]="'summary'"></app-hint>
            <ngb-tabset class="nav-tabs-top flowtab">
                <ngb-tab *ngFor="let tab of flow_child?.tabs">
                    <ng-template ngbTabTitle>
                        <span class="tab-title">{{tab.name}}</span>
                    </ng-template>
                    <ng-template ngbTabContent>
                        <div class="card-body"
                             style="padding-bottom:10px !important;  overflow: hidden;overflow-y: auto;"
                             [perfectScrollbar]>
                            <div class="f-14" [innerHTML]='tab.description | safeHtml'></div>
                        </div>
                    </ng-template>
                </ngb-tab>
            </ngb-tabset>
        </div>
    </div>
    <div class="row switching-tab-mt" *ngIf="flow_child.is_expand">

        <div class="col-sm-9 ml-5">
            <!-- start switch icons -->
            <div class="mx-auto text-center switch-tab-height">
                 <span class="ml-1">
                        <button class="btn p-1">
                           <div>
                            <i class="fas fa-circle f-5 border-100"
                               [ngClass]="scroll_position.active=='right' || scroll_position.active=='center' ? 'blue-dot':'gray-dot'">
                           </i>
                           </div>
                            <div><i class="las la-chart-bar f-20" ngbTooltip="Visualization" placement="bottom"
                                    container="body"></i></div>
                            
                        </button>
                    </span>
                <span class="ml-1">
                        <button class="btn p-1">
                           <div>
                            <i class="fas fa-circle f-5 border-100"
                               [ngClass]="scroll_position.active=='right' || scroll_position.active=='center' ? 'blue-dot':'gray-dot'">
                           </i>
                           </div>
                           <div>
                            <i class="las la-lightbulb f-20" ngbTooltip="Insights" placement="bottom" container="body"
                               [ngClass]="scroll_position.active=='right' || scroll_position.active=='center' ?'':'gray-text'"></i>
                           </div>
                        </button>
                    </span>
            </div>
            <!-- end switch icons -->
        </div>
        <div class="col-md-3"></div>
    </div>
</div>

<!-- end edit model -->
<ng-template #blockTemplate>
    <div class="block-ui-template custom-bg-block-ui mb-3">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                     style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                     viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle>
                    <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.44999999999999996s"></animate>
                    </circle>
                    <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle>
                    <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                </svg>
                <span class="loading-text-material">
        </span>
            </div>
        </div>
    </div>
</ng-template>


